Address Book search loses filter when multiple entries found and one is deleted

Bug #1514161 reported by Darko Veberic on 2015-11-08
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mozilla Thunderbird
Confirmed
Medium
thunderbird (Ubuntu)
Undecided
Unassigned

Bug Description

just an annoyance: imagine you want to delete an email from all the address books. you click on the top item "All Address Books" and then enter the email into the search box. let's assume the search shows you several hits which all appear in the window below the search box. you click on the first one and you press the delete key. a dialog appears and you confirm the action with ok. the window, which was up until now showing several hits to your search, refreshes and shows you *all* your emails, in spite that the search box is still showing your selection restriction. imho, this is a contradiction. either the search box has to be reset to empty or the window should again show the corresponding selection.

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: thunderbird 1:38.3.0+build1-0ubuntu0.15.04.1
ProcVersionSignature: Ubuntu 3.19.0-31.36-generic 3.19.8-ckt7
Uname: Linux 3.19.0-31-generic x86_64
NonfreeKernelModules: nvidia
AddonCompatCheckDisabled: False
ApportVersion: 2.17.2-0ubuntu1.7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: darko 1420 F.... pulseaudio
                      darko 1471 F.... panel-9-mixer
BuildID: 20150930121410
Channel: Unavailable
Date: Sun Nov 8 10:29:05 2015
ForcedLayersAccel: False
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
IncompatibleExtensions:
 English (GB) Language Pack - <email address hidden>
 Thunderbird (default) - {972ce4c6-7e08-4474-a285-3208198ce6fd}
InstallationDate: Installed on 2014-05-11 (545 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
IpRoute:
 default via 192.168.137.1 dev wlan0 proto static metric 400
 169.254.0.0/16 dev wlan0 scope link metric 1000
 192.168.137.0/24 dev wlan0 proto kernel scope link metric 400
MostRecentCrashID: bp-0bc56969-cc4e-4ff3-89e8-8d0362150210
Plugins: Shockwave Flash - /usr/lib/flashplugin-installer/libflashplayer.so
PrefSources: prefs.js
Profiles: Profile0 (Default) - LastVersion=38.3.0/20150930121410
RunningIncompatibleAddons: True
SourcePackage: thunderbird
SubmittedCrashIDs:
 bp-0bc56969-cc4e-4ff3-89e8-8d0362150210
 bp-2fa34b3f-107c-41a7-a6e8-658802141210
 bp-1f961c1a-58af-44fa-bd99-4c15a2140830
 bp-41a8c3c1-e179-4dcf-89ea-32a182120701
UpgradeStatus: Upgraded to vivid on 2015-05-05 (186 days ago)
WifiSyslog:
 Nov 03 02:25:31 darth NetworkManager[685]: <info> Policy set 'dorka' (wlan0) as default for IPv6 routing and DNS.
 Nov 05 08:38:03 darth kernel: psmouse serio4: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 3 bytes away.
 Nov 06 07:41:37 darth kernel: wlan0: Limiting TX power to 30 (30 - 0) dBm as advertised by 60:e7:01:34:cb:a2
 Nov 06 07:42:51 darth kernel: wlan0: Limiting TX power to 30 (30 - 0) dBm as advertised by 60:e7:01:34:cb:a2
 Nov 07 02:24:37 darth NetworkManager[685]: <info> Policy set 'dorka' (wlan0) as default for IPv6 routing and DNS.
dmi.bios.date: 09/14/2009
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68PAD Ver. F.0F
dmi.board.name: 30EC
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 91.22
dmi.chassis.asset.tag: CNU9400DYB
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68PADVer.F.0F:bd09/14/2009:svnHewlett-Packard:pnHPEliteBook8730w:pvrF.0F:rvnHewlett-Packard:rn30EC:rvrKBCVersion91.22:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP EliteBook 8730w
dmi.product.version: F.0F
dmi.sys.vendor: Hewlett-Packard
---
ProblemType: Bug
AddonCompatCheckDisabled: False
ApportVersion: 2.20.9-0ubuntu7.2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: darko 1488 F.... pulseaudio
BuildID: 20180710084133
Channel: Unavailable
CurrentDesktop: XFCE
DistroRelease: Ubuntu 18.04
ForcedLayersAccel: False
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
IncompatibleExtensions:
 English (GB) Language Pack - <email address hidden>
 Thunderbird (default) - {972ce4c6-7e08-4474-a285-3208198ce6fd}
InstallationDate: Installed on 2018-02-07 (157 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Release amd64 (20180105.1)
IpRoute:
 default via 192.168.137.1 dev wlp4s0 proto dhcp metric 600
 169.254.0.0/16 dev wlp4s0 scope link metric 1000
 192.168.137.0/24 dev wlp4s0 proto kernel scope link src 192.168.137.105 metric 600
MostRecentCrashID: bp-0bc56969-cc4e-4ff3-89e8-8d0362150210
Package: thunderbird 1:52.9.1+build3-0ubuntu0.18.04.1
PackageArchitecture: amd64
Plugins: Shockwave Flash - /usr/lib/adobe-flashplugin/libflashplayer.so (adobe-flashplugin)
PrefSources: prefs.js
ProcVersionSignature: Ubuntu 4.15.0-24.26-generic 4.15.18
Profiles: Profile0 (Default) - LastVersion=52.8.0/20180522092033 (Out of date)
RelatedPackageVersions: adobe-flashplugin 1:20180710.1-0ubuntu0.18.04.1
RunningIncompatibleAddons: True
SubmittedCrashIDs:
 bp-0bc56969-cc4e-4ff3-89e8-8d0362150210
 bp-2fa34b3f-107c-41a7-a6e8-658802141210
 bp-1f961c1a-58af-44fa-bd99-4c15a2140830
 bp-41a8c3c1-e179-4dcf-89ea-32a182120701
Tags: bionic
Uname: Linux 4.15.0-24-generic x86_64
UpgradeStatus: Upgraded to bionic on 2018-04-28 (77 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 09/27/2017
dmi.bios.vendor: LENOVO
dmi.bios.version: N1MET39W (1.24 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20HR0068GE
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40697 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrN1MET39W(1.24):bd09/27/2017:svnLENOVO:pn20HR0068GE:pvrThinkPadX1Carbon5th:rvnLENOVO:rn20HR0068GE:rvrSDK0J40697WIN:cvnLENOVO:ct10:cvrNone:
dmi.product.family: ThinkPad X1 Carbon 5th
dmi.product.name: 20HR0068GE
dmi.product.version: ThinkPad X1 Carbon 5th
dmi.sys.vendor: LENOVO

(Pretty sure this is still a bug on the trunk, but reporting it against 45 because that's where I verified it today.)

1. Open the address book.

2. Do a search to limit which contacts are displayed.

3. Click on one of them, click the Delete button to delete it, and confirm the delete.

4. Observe that your search term remains in the search box, but the contact list has reset to everyone rather than to the contacts that match the search.

The ideal behavior here would be for the search to persist properly after the delete, i.e., the contact list would continue to list only the contacts matching the search. Less ideal, but better than current behavior, would be for the search box to be cleared after a delete. The current behavior, where the search box remains filled in but is no longer being applied, is clearly wrong.

I can't reproduce this, neither in 45 nor trunk.

I just reproduced this in safe mode with daily (2016-11-18).

Do you have multiple address books? It is possible that this issue only occurs when there are multiple address books and you're searching / filtering in "All Address Books" rather than just one of them.

Indeed, I just tested while a single address book rather than "All Address Books" is selected, and it doesn't happen then.

I can reproduce this in Daily. Multiple address books present. Click "All Address Books", search, delete. Result: Contact deleted, all contacts showing, but search term not cleared.

I can reproduce it on 50.0b3 as well.

We take different code paths depending on whether the All ABs item is selected or not.

I'd try removing the SetAbView call at
https://dxr.mozilla.org/comm-central/rev/4eeb3f3d3ec60193f6c908170a202c20b649f390/mail/components/addrbook/content/abCommon.js#380 . It looses the seachURI string and shows full "All addressbooks" item without any search applied (compare with https://dxr.mozilla.org/comm-central/rev/4eeb3f3d3ec60193f6c908170a202c20b649f390/mail/components/addrbook/content/addressbook.js#540).

Thomas, can you try that?

(In reply to :aceman from comment #5)
> We take different code paths depending on whether the All ABs item is
> selected or not.
>
> I'd try removing the SetAbView call [...]
> Thomas, can you try that?

Sure. Just removing the call keeps the searchword and search applied, but unfortunately the deleted entry doesn't disappear from view (although it looses the addressbook attribute, interesting...)

So after deleting from All-AB, we'd have to update the search, similar to that other spot which you referenced.

Note that we actually want to select the next item after deleting, or, of there's no next item, the previous item (i.e. the last item). Or nothing if it was the only item.

Surprisingly, just using the onEnterInSearchBar() routine will select another AB after deleting.

Behavior present on 52.6.0.

gf (gf-interlinks) wrote :

Hello Darko,
Thank you for submitting this bug and reporting a problem with Thunderbird. You made this bug report in 2015 and there have been several versions of Ubuntu and Thunderbird since then.

Could you confirm that this is no longer a problem and that we can close the ticket?
If it is still a problem, are you still interested in finding a solution to this bug?
If you are, could you run the following (only once):
apport-collect 1514161
and upload the updated logs and and any other logs that are relevant for this particular issue.

Thank you again for helping make Ubuntu and Thunderbird better.
G

Changed in thunderbird (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected bionic
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Thanks for updating the ticket, Darko. I will set the status back to "new" and look at next steps.
Have a great day!
:)
G

Changing status back to "new" based on reporter's feedback.

Changed in thunderbird (Ubuntu):
status: Incomplete → New
gf (gf-interlinks) wrote :

Hi Darko,
I haven't forgotten you. Can you tell me what version of Ubuntu you are in? Have you upgraded to 18.04? If so, is it still a problem in 18.04?
My next step is to try to replicate it on my own computer and I wanted to check with you to see if you upgraded yet.
Take care
:)
G

confirmed, the bug is still present on ubuntu 18.04.1 lts with thunderbird 52.9.1 (64-bit).

gf (gf-interlinks) wrote :

Hi Darko. Thanks for the update. I will look at next steps now.
Take care
:)
G

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in thunderbird (Ubuntu):
status: New → Confirmed

User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:64.0) Gecko/20100101 Firefox/64.0

Steps to reproduce:

This was originally reported against Thunderbird 38 on Launchpad
https://bugs.launchpad.net/ubuntu/+source/thunderbird/+bug/1514161

Scenario: remove an email address from all address books

To reproduce:
1) Start Address Book
2) Select "All Address Books"
3) In Search box type enough characters to match all required entries
2) Delete any of the entries found

Actual results:

Entry is deleted but the list is no longer filtered

Expected results:

Entry to be deleted and the list to remain filtered

Paul White (paulw2u) wrote :

Reported upstream as I can confirm this with Thunderbird 60.2.1

tags: removed: vivid
summary: - address book search view makes full show after delete
+ Address Book search loses filter when multiple entries found and one is
+ deleted
Changed in thunderbird:
importance: Unknown → Medium
status: Unknown → Confirmed

Yes, this is annoying.

*** Bug 1520450 has been marked as a duplicate of this bug. ***

*** Bug 1202837 has been marked as a duplicate of this bug. ***

Paul White (paulw2u) wrote :

Already reported so changing upstream bug

Changed in thunderbird:
importance: Medium → Unknown
status: Confirmed → Unknown
Changed in thunderbird:
importance: Unknown → Medium
status: Unknown → Confirmed

I just experienced this on 66.0b3 (64-bit).

> The ideal behavior here would be for the search to persist properly after the delete, i.e., the contact list would continue to list only the contacts matching the search.

I expected this to be the case.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.